package netfu.selectors;

import java.awt.Component;



/**
 * A selector is simply a set of widgets that allows
 * a user to interactively pick (or select) a value
 * for a variable of a certain type.
 *
 * @see ScriptSelector
 * @see FontSelector
 * @see ColorPicker
 */

public interface Selector {

    public abstract Component component ();
    public abstract void selectValue (Object o);
    public abstract Object selectedValue ();

}
